Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

From: "Andrew G. Malis" <[email-masked]>
Date: Sat, 1 Aug 2015 11:39:55 -0400

I've also just scanned through 5036, and I'm also not sure exactly what
text Matthew is referring to. I don't see a specific SHOULD that Luca's
text would change to a MUST.

Cheers,
Andy

On Fri, Jul 31, 2015 at 5:58 PM, Luca Martini <[email-masked]> wrote:

> Matthew,
>
> can you point out the SHOULD in rfc5036 to me ? I could not find it
> explicitly in the text. Are you referring to the appendix ?
> Thanks.
> Luca
>
>
> On 07/30/15 13:18, Bocci, Matthew (Matthew) wrote:
> > Luca
> >
> > I don¡¯t object to the intent, but I agree with Andy that there is
> > something strange about calling out those sections specifically. You are
> > upgrading the RFC2119 requirement around label request because responding
> > to a label request is a SHOULD in RFC5036, but a MUST here.
> >
> > Are there any other cases where we really need an implementation to do
> > something that is only a SHOULD in RFC5036?
> >
> > Matthew
> >
> > On 30/07/2015 19:50, "Pals on behalf of Patrice Brissette (pbrisset)"
> > <[email-masked] on behalf of [email-masked]> wrote:
> >
> >> Hi,
> >>
> >>
> >> I don©öt have a strong opinion as long it is clear to everyone that a PE
> >> MUST respond to PW FEC label request.
> >>
> >>
> >> Regards,
> >>
> >> Patrice
> >>
> >>   Patrice Brissette
> >> TECHNICAL LEADER.ENGINEERING
> >>
> >> [email-masked]
> >> Phone: +1 613 254 3336
> >>
> >> Cisco Systems Canada Co. / Les Systemes Cisco Canada CIE
> >> Canada
> >> Cisco.com <http://www.cisco.com/global/CA/>
> >>
> >> Think before you print.This
> >> email may contain confidential and privileged material for the sole use
> >> of the intended recipient. Any review, use, distribution or disclosure
> >> by others is strictly prohibited. If you are not the intended recipient
> >> (or authorized to receive for the recipient), please contact the sender
> >> by reply email and delete all copies of this message.
> >> Please click here
> >> <http://www.cisco.com/web/about/doing_business/legal/cri/index.html>
> for
> >> Company Registration Information.
> >>
> >>
> >>
> >>
> >>
> >>
> >> On 2015-07-27, 7:55 PM, "Pals on behalf of Luca Martini (lmartini)"
> >> <[email-masked] on behalf of [email-masked]> wrote:
> >>
> >>> On 07/27/2015 01:59 PM, Andrew G. Malis wrote:
> >>>> Luca,
> >>>>
> >>>> RFC 5036 uses "Downstream Unsolicited mode" rather than "downstream
> >>>> unsolicited
> >>>> manner", so you should change "manner" to "mode" and capitalize
> >>>> Downstream
> >>>> Unsolicited. It also uses "Liberal Label retention mode" (note the
> >>>> capital L's
> >>>> and small r and m).
> >>> yes - Agreed.
> >>>
> >>>> Regarding your new text "However all the LDP procedures specified in
> >>>> [RFC5036]
> >>>> MUST be implemented, and specifically the procedures in section
> 3.5.7.
> >>>> "Label
> >>>> Mapping Message", and   3.5.8. "Label Request Message".", I would just
> >>>> shorten
> >>>> it to say: "However, all the LDP procedures specified in [RFC5036]
> MUST
> >>>> be
> >>>> implemented." I don't know if it's necessary to call special attention
> >>>> to those
> >>>> two sections if you have to implement everything anyway.
> >>> I agree, but people in the meeting insisted on an explicit mention of
> >>> those sections.
> >>> Above text is driven by the comments in the meeting.
> >>> Let's see if other speak up.
> >>> Thanks.
> >>> Luca
> >>>
> >>>> Cheers,
> >>>> Andy
> >>>>
> >>>> On Mon, Jul 27, 2015 at 3:08 PM, Luca Martini <[email-masked]
> >>>> <mailto:[email-masked]>> wrote:
> >>>>
> >>>>     Folks,
> >>>>
> >>>>     Some of you brought up the fact the in the current rfc4447bis
> >>>> update
> >>>>     document it is not clear that we require a full implementation of
> >>>> the
> >>>>     LDP protocol specified in rfc5036.
> >>>>
> >>>>     In particular the part that is assumed, thought rfc4447bis is that
> >>>> any
> >>>>     implementation of this protocol MUST implement responding to
> remote
> >>>>     label mapping request messages.
> >>>>
> >>>>     I propose the following update to the text :
> >>>>
> >>>>     OLD:
> >>>>
> >>>>     LDP MUST exchange PW FEC label bindings in downstream unsolicited
> >>>>     manner, independent of the negotiated label advertisement mode of
> >>>> the
> >>>>     LDP session according to the specifications in specified in
> >>>> [RFC7358].
> >>>>     LDP's "liberal label retention" mode SHOULD be used.
> >>>>
> >>>>     NEW:
> >>>>
> >>>>     LDP MUST exchange PW FEC label bindings in downstream unsolicited
> >>>>     manner, independent of the negotiated label advertisement mode of
> >>>> the
> >>>>     LDP session according to the specifications in specified in
> >>>> [RFC7358].
> >>>>     LDP's "liberal label retention" mode SHOULD be used. However all
> >>>> the LDP
> >>>>     procedures specified in [RFC5036] MUST be implemented, and
> >>>> specifically
> >>>>     the procedures in section  3.5.7. "Label Mapping Message", and
> >>>> 3.5.8.
> >>>>     "Label Request Message".
> >>>>
> >>>>
> >>>>     Does this work ?
> >>>>
> >>>>     Any other suggestions ?
> >>>>
> >>>>
> >>>>     Thanks.
> >>>>
> >>>>     Luca
> >>>>
> >>>>
> >>>>     _______________________________________________
> >>>>     Pals mailing list
> >>>>     [email-masked] <mailto:[email-masked]>
> >>>>     https://www.ietf.org/mailman/listinfo/pals
> >>>>
> >>>>
> >>> _______________________________________________
> >>> Pals mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/pals
> >> _______________________________________________
> >> Pals mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/pals
> >
>
>

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Sat, 1 Aug 2015 16:25:05 +0000

Andy, Luca,

3.5.8.1 says the following:

"The receiving LSR SHOULD respond to a Label Request message with a

   Label Mapping for the requested label or with a Notification message
   indicating why it cannot satisfy the request.”

Matthew

From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, 1 August 2015 16:39
To: Luca Martini <[email-masked]<mailto:[email-masked]>>
Cc: Matthew Bocci <[email-masked]<mailto:[email-masked]>>, "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

I've also just scanned through 5036, and I'm also not sure exactly what text Matthew is referring to. I don't see a specific SHOULD that Luca's text would change to a MUST.

Cheers,
Andy

On Fri, Jul 31, 2015 at 5:58 PM, Luca Martini <[email-masked]<mailto:[email-masked]>> wrote:
Matthew,

can you point out the SHOULD in rfc5036 to me ? I could not find it explicitly in the text. Are you referring to the appendix ?
Thanks.
Luca

On 07/30/15 13:18, Bocci, Matthew (Matthew) wrote:
> <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:
>
>> Hi,
>>
>>
>> [email-masked]<mailto:[email-masked]>
>> Phone: +1 613 254 3336<tel:%2B1%20613%20254%203336>
>>
>> <http://www.cisco.com/web/about/doing_business/legal/cri/index.html> for
>> <[email-masked]<mailto:[email-masked]> on behalf of [email-masked]<mailto:[email-masked]>> wrote:
>>
>>>> MUST be implemented, and specifically the procedures in section  3.5.7.
>>>> "Label
>>>> it to say: "However, all the LDP procedures specified in [RFC5036] MUST
>>>> be
>>>> On Mon, Jul 27, 2015 at 3:08 PM, Luca Martini <[email-masked]<mailto:[email-masked]>
>>>> <mailto:[email-masked]<mailto:[email-masked]>>> wrote:
>>>>
>>>>     Folks,
>>>>
>>>>     implementation of this protocol MUST implement responding to remote
>>>>     [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>>> [email-masked]<mailto:[email-masked]>
>> [email-masked]<mailto:[email-masked]>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Sat, 1 Aug 2015 12:41:56 -0400

Matthew,

I saw that text, but nothing in Luca's new text makes that a MUST, it just
says that you MUST implement that procedure as written (which is a SHOULD).

Cheers,
Andy

On Sat, Aug 1, 2015 at 12:25 PM, Bocci, Matthew (Matthew) <
[email-masked]> wrote:

> From: "Andrew G. Malis" <[email-masked]>
> To: Luca Martini <[email-masked]>
> Cc: Matthew Bocci <[email-masked]>, "Patrice Brissette
> (pbrisset)" <[email-masked]>, "[email-masked]" <[email-masked]>

---

From: "Bocci, Matthew (Matthew)" <[email-masked]>
Date: Tue, 4 Aug 2015 07:36:55 +0000

Hi Andy

I think the intent is as per Patrice’s comment. That is, a PE MUST respond to a PW FEC label request, not SHOULD. Therefore it might be clearer to explicitly state this in 4447bis (rather than by reference) and also note at the top of the draft that we are updating RFC5036.

Matthew

From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
Date: Saturday, 1 August 2015 17:41
To: Matthew Bocci <[email-masked]<mailto:[email-masked]>>
Cc: Luca Martini <[email-masked]<mailto:[email-masked]>>, "Patrice Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

Matthew,

I saw that text, but nothing in Luca's new text makes that a MUST, it just says that you MUST implement that procedure as written (which is a SHOULD).

Cheers,
Andy

On Sat, Aug 1, 2015 at 12:25 PM, Bocci, Matthew (Matthew) <[email-masked]<mailto:[email-masked]>> wrote:
Andy, Luca,

Matthew

Cheers,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 4 Aug 2015 09:26:14 -0400

Matthew,

I agree. Our intent isn't only to require a complete implementation of
5036, but to also require that a PE respond to a PW FEC label request. This
is a specific change to section 3.5.8.1 of 5036, which only says that a PE
SHOULD respond to a label request message.

Here is some specific recommended text for 4447bis:

OLD:

LDP MUST exchange PW FEC label bindings in downstream unsolicited
manner, independent of the negotiated label advertisement mode of the
LDP session according to the specifications in specified in [RFC7358].
LDP's "liberal label retention" mode SHOULD be used.

NEW:

LDP MUST exchange PW FEC label bindings in Downstream Unsolicited
mode, independent of the negotiated label advertisement mode of the
LDP session, as according to the specifications in [RFC7358].
LDP's Liberal Label retention mode SHOULD be used. All the LDP
procedures specified in [RFC5036] MUST be implemented. In addition,
this document updates section 3.5.8.1 of [RFC5036] to require that
a receiving LSR MUST (rather than SHOULD) respond to a Label Request
message with a Label Mapping for the requested label or with a
Notification message indicating why it cannot satisfy the request.

Cheers,
Andy

On Tue, Aug 4, 2015 at 3:36 AM, Bocci, Matthew (Matthew) <
[email-masked]> wrote:

> Hi Andy
>
> I think the intent is as per Patrice’s comment. That is, a PE MUST respond
> to a PW FEC label request, not SHOULD. Therefore it might be clearer to
> explicitly state this in 4447bis (rather than by reference) and also note
> at the top of the draft that we are updating RFC5036.
>
> Matthew
>
> To: Matthew Bocci <[email-masked]>
> Cc: Luca Martini <[email-masked]>, "Patrice Brissette (pbrisset)" <
> [email-masked]>, "[email-masked]" <[email-masked]>
>

---

From: "Shah, Himanshu" <[email-masked]>
Date: Tue, 4 Aug 2015 09:50:46 -0400

I agree with Mathew. We need not be vague on compliance for 4447.
However, I think the scope of "MUST" should be limited to 4447 (PW-FEC) and
not RFC 5036 wide.

Thanks,
Himanshu

From: Pals [mailto:[email-masked]] On Behalf Of Bocci, Matthew (Matthew)
Sent: Tuesday, August 04, 2015 3:37 AM
To: Andrew G. Malis
Cc: Patrice Brissette (pbrisset); Luca Martini; [email-masked]
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

Hi Andy

I think the intent is as per Patrice's comment. That is, a PE MUST respond to a PW FEC label request, not SHOULD. Therefore it might be clearer to explicitly state this in 4447bis (rather than by reference) and also note at the top of the draft that we are updating RFC5036.

Matthew

Matthew,

Cheers,
Andy

   indicating why it cannot satisfy the request."

Matthew

Cheers,
Andy

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 4 Aug 2015 10:19:20 -0400

Himanshu,

Did you see my suggested new text?

Cheers,
Andy

On Tue, Aug 4, 2015 at 9:50 AM, Shah, Himanshu <[email-masked]> wrote:

> *I agree with Mathew. We need not be vague on compliance for 4447.*
>
> *However, I think the scope of “MUST” should be limited to 4447 (PW-FEC)
> and *
>
> *not RFC 5036 wide.*
>
>
>
>
>
> *Thanks,*
>
> *Himanshu*
>
>
>
> *From:* Pals [mailto:[email-masked]] *On Behalf Of *Bocci, Matthew
> (Matthew)
> *Sent:* Tuesday, August 04, 2015 3:37 AM
> *To:* Andrew G. Malis
> *Cc:* Patrice Brissette (pbrisset); Luca Martini; [email-masked]
>
> *Subject:* Re: [Pals] RFC4447bis LC and label request/response discussion
> in Prague
>
>
>
> Hi Andy
>
>
>
> *From: *"Andrew G. Malis" <[email-masked]>
> *Date: *Saturday, 1 August 2015 17:41
> *To: *Matthew Bocci <[email-masked]>
> *Cc: *Luca Martini <[email-masked]>, "Patrice Brissette (pbrisset)" <
> *Subject: *Re: [Pals] RFC4447bis LC and label request/response discussion
> in Prague
>
>
>
> Matthew,
>
>
>
> *From: *"Andrew G. Malis" <[email-masked]>
> *Date: *Saturday, 1 August 2015 16:39
> *To: *Luca Martini <[email-masked]>
> *Cc: *Matthew Bocci <[email-masked]>, "Patrice
> Brissette (pbrisset)" <[email-masked]>, "[email-masked]" <[email-masked]
> >
> *Subject: *Re: [Pals] RFC4447bis LC and label request/response discussion
> in Prague
>
>
>

---

From: "Shah, Himanshu" <[email-masked]>
Date: Tue, 4 Aug 2015 11:06:27 -0400

Sorry I am little behind on mails after return from PTO.
Yes – I saw it and agree with the proposed text.

Thanks,
Himanshu

From: Andrew G. Malis [mailto:[email-masked]]
Sent: Tuesday, August 04, 2015 10:19 AM
To: Shah, Himanshu
Cc: Bocci, Matthew (Matthew); Patrice Brissette (pbrisset); Luca Martini; [email-masked]
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

Himanshu,

Cheers,
Andy

On Tue, Aug 4, 2015 at 9:50 AM, Shah, Himanshu <[email-masked]<mailto:[email-masked]>> wrote:
I agree with Mathew. We need not be vague on compliance for 4447.
However, I think the scope of “MUST” should be limited to 4447 (PW-FEC) and
not RFC 5036 wide.

Thanks,
Himanshu

From: Pals [mailto:[email-masked]<mailto:[email-masked]>] On Behalf Of Bocci, Matthew (Matthew)
Sent: Tuesday, August 04, 2015 3:37 AM
To: Andrew G. Malis
Cc: Patrice Brissette (pbrisset); Luca Martini; [email-masked]<mailto:[email-masked]>

Hi Andy

Matthew

Matthew,

Cheers,
Andy

Matthew

Cheers,
Andy

---

From: Luca Martini <[email-masked]>
Date: Tue, 4 Aug 2015 15:25:06 -0600

Ok,
Now I'm getting uncomfortable with this.
RFC4447bis is not supposed to change anything in the standard that has
been in place for over 10 years.
Throughout rfc4447 and bis  we use label request as a signaling means
for  the C-Bit negotiation procedure, and a means to reset the sequence
numbers in the CW.
To me it is clear that if someone does not implement that feature,
several critical functions in rfc4447 will not work.
However the basic protocol will work fine with out answering a Label
request, in a similar way as intended in RFC5036.

The SHOULD seems appropriate here, unless we all want to change the
standard now.
Maybe what we need is a note to make it clear that several function will
not work without the label request being answered.

Thoughts ?

Luca

On 08/04/2015 07:26 AM, Andrew G. Malis wrote:
> Matthew,
>
> I agree. Our intent isn't only to require a complete implementation of 5036, but 
> to also require that a PE respond to a PW FEC label request. This is a specific 
> change to section 3.5.8.1 of 5036, which only says that a PE SHOULD respond to a 
> label request message.
>
> On Tue, Aug 4, 2015 at 3:36 AM, Bocci, Matthew (Matthew) 
> <[email-masked] <mailto:[email-masked]>> wrote:
>
>     Hi Andy
>
>     explicitly state this in 4447bis (rather than by reference) and also note at
>     the top of the draft that we are updating RFC5036.
>
>     Matthew
>
>     From: "Andrew G. Malis" <[email-masked] <mailto:[email-masked]>>
>     To: Matthew Bocci <[email-masked]
>     <mailto:[email-masked]>>
>     Cc: Luca Martini <[email-masked] <mailto:[email-masked]>>, "Patrice
>     Brissette (pbrisset)" <[email-masked] <mailto:[email-masked]>>,
>     "[email-masked] <mailto:[email-masked]>" <[email-masked] <mailto:[email-masked]>>
>
>     On Sat, Aug 1, 2015 at 12:25 PM, Bocci, Matthew (Matthew)
>     <[email-masked] <mailto:[email-masked]>>
>     wrote:
>
>         Andy, Luca,
>
>         From: "Andrew G. Malis" <[email-masked] <mailto:[email-masked]>>
>         To: Luca Martini <[email-masked] <mailto:[email-masked]>>
>         Cc: Matthew Bocci <[email-masked]
>         <mailto:[email-masked]>>, "Patrice Brissette
>         (pbrisset)" <[email-masked] <mailto:[email-masked]>>,
>         "[email-masked] <mailto:[email-masked]>" <[email-masked]
>         <mailto:[email-masked]>>
>             > <[email-masked] <mailto:[email-masked]> on behalf of
>             [email-masked] <mailto:[email-masked]>> wrote:
>             >
>             >> Hi,
>             >>
>             >>
>             >>[email-masked] <mailto:[email-masked]>
>             >> Phone:+1 613 254 3336 <tel:%2B1%20613%20254%203336>
>             >>
>             >> <[email-masked] <mailto:[email-masked]> on behalf of
>             [email-masked] <mailto:[email-masked]>> wrote:
>             >>
>             >>>> On Mon, Jul 27, 2015 at 3:08 PM, Luca Martini <[email-masked] <mailto:[email-masked]>
>             >>>> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>             >>>>
>             >>>>     Folks,
>             >>>>
>             >>>>[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>             <mailto:[email-masked]>>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 4 Aug 2015 18:23:28 -0400

Luca,

Before you decide on your comfort level, take a look at my proposed text
from earlier today, we can use that as a starting point.

Thanks,
Andy

On Tue, Aug 4, 2015 at 5:25 PM, Luca Martini <[email-masked]> wrote:

> 5036, but
> > <[email-masked] <mailto:
> [email-masked]>> wrote:
> >
> >     Hi Andy
> >
> >     From: "Andrew G. Malis" <[email-masked] <mailto:[email-masked]
> >>
> >     Brissette (pbrisset)" <[email-masked] <mailto:[email-masked]
> >>,
> >     Subject: Re: [Pals] RFC4447bis LC and label request/response
> discussion in
> >     Prague
> >
> >     Matthew,
> >
> >         To: Luca Martini <[email-masked] <mailto:[email-masked]
> >>
> >         Subject: Re: [Pals] RFC4447bis LC and label request/response
> discussion
> >         in Prague
> >
> >         On Fri, Jul 31, 2015 at 5:58 PM, Luca Martini <
> [email-masked]
> >             >> <
> http://www.cisco.com/web/about/doing_business/legal/cri/index.html> for
> >             >>>> On Mon, Jul 27, 2015 at 3:08 PM, Luca Martini <
> [email-masked] <mailto:[email-masked]>

---

From: Luca Martini <[email-masked]>
Date: Wed, 5 Aug 2015 09:25:43 -0600

Andy,
I did look ... the problem I have is the SHOULD that has changed to a
MUST. WE have implementations that work correctly today without this. I
admit that they are not good implementations , and lack a lot of
functionality. If we change this we efefctively change the PWE3 base
protocol. The original intent was to have a label request be answered,
so I'm not too concerned about the change, but this draft revision was
only about fixing the errata.

I only see 2-3 people speaking up on a rather fundamental question. Can
we get a few more comments ? Vach ? Eric(s) ?

Also changing this to a MUST does not update rfc5036 , since it does not
apply to anything in rfc5036 , so we should be ok without going though
the MPLS WG.

Luca

On 08/04/15 16:23, Andrew G. Malis wrote:
> Luca,
>
> Before you decide on your comfort level, take a look at my proposed
> text from earlier today, we can use that as a starting point.
>
> Thanks,
> Andy
>
> On Tue, Aug 4, 2015 at 5:25 PM, Luca Martini <[email-masked]
>     > <[email-masked]
>     <mailto:[email-masked]>
>     <mailto:[email-masked]
>     <mailto:[email-masked]>>> wrote:
>     >
>     >     Hi Andy
>     >
>     >     From: "Andrew G. Malis" <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>
>     <mailto:[email-masked]>
>     >     <mailto:[email-masked]
>     <mailto:[email-masked]>>>
>     >     Cc: Luca Martini <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>, "Patrice
>     >     Brissette (pbrisset)" <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>,
>     >     "[email-masked] <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>" <[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>
>     >
>     >     <[email-masked]
>     <mailto:[email-masked]>
>     <mailto:[email-masked]
>     <mailto:[email-masked]>>>
>     >     wrote:
>     >
>     >         Andy, Luca,
>     >
>     >         From: "Andrew G. Malis" <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>
>     >         To: Luca Martini <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>
>     <mailto:[email-masked]>
>     >         <mailto:[email-masked]
>     <mailto:[email-masked]>>>, "Patrice Brissette
>     >         (pbrisset)" <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>,
>     >         "[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>" <[email-masked]
>     <mailto:[email-masked]>
>     >         <mailto:[email-masked] <mailto:[email-masked]>>>
>     >         On Fri, Jul 31, 2015 at 5:58 PM, Luca Martini
>     <[email-masked] <mailto:[email-masked]>
>     >             > <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>> on behalf of
>     <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>     >             >
>     >             >> Hi,
>     >             >>
>     >             >>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     >             >> Phone:+1 613 254 3336
>     <tel:%2B1%20613%20254%203336> <tel:%2B1%20613%20254%203336>
>     >             >>
>     >             >> <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>> on behalf of
>     >             >>>> On Mon, Jul 27, 2015 at 3:08 PM, Luca Martini
>     <[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     >             >>>> <mailto:[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked]
>     <mailto:[email-masked]>>>> wrote:
>     >             >>>>
>     >             >>>>     Folks,
>     >             >>>>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >             <mailto:[email-masked] <mailto:[email-masked]>>>
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Wed, 5 Aug 2015 18:06:42 -0400

Luca,

How about we change the last part of my text to say:

In addition, this document requires that
a receiving LSR MUST (rather than SHOULD) respond to a Label Request
message with a Label Mapping for the requested label or with a
Notification message indicating why it cannot satisfy the request.

And as Luca requests, any other opinions on this?

Thanks,
Andy

On Wed, Aug 5, 2015 at 11:25 AM, Luca Martini <[email-masked]> wrote:

> >     >     I think the intent is as per Patriceâ€™s comment. That is, a
> >     PE MUST respond
> >     >             indicating why it cannot satisfy the request.â€
> >     >
> >     >
> >     >
> >     >         Matthew
> >     >
> >     >
> >     >         Subject: Re: [Pals] RFC4447bis LC and label
> request/response discussion
> >     >         in Prague
> >     >
> >     >             > I donÂ¡Â¯t object to the intent, but I agree with
> >     Andy that there is
> >     >             >> I donÂ©Ã¶t have a strong opinion as long it is
> >     clear to everyone that a PE

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 6 Aug 2015 11:54:10 +0100

I would express that slightly differently :

This document requires that a receiving LSR MUST respond to a Label Request
message with either a Label Mapping for the requested label or with a
Notification message that indicates why it cannot satisfy the request.
Note that this a a stricter requirement than is specified in RFC5036,
but is this response message is REQUIRED to ensure correct operation.

- Stewart

On 05/08/2015 23:06, Andrew G. Malis wrote:
> On Wed, Aug 5, 2015 at 11:25 AM, Luca Martini <[email-masked] 
>     <mailto:[email-masked]>
>     <mailto:[email-masked]>>>> wrote:
>     >     >
>     >     >     Hi Andy
>     >     >
>     >     >     to a PW FEC label request, not SHOULD. Therefore it
>     might be
>     >     clearer to
>     >     >     explicitly state this in 4447bis (rather than by
>     reference)
>     >     and also note at
>     <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>
>     <mailto:[email-masked]>>>>
>     <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>, "Patrice
>     <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>,
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>" <[email-masked]
>     <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>
>     >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>>
>     >     >
>     request/response
>     >     >     I saw that text, but nothing in Luca's new text makes
>     that a
>     >     MUST, it just
>     <mailto:[email-masked]>>>>
>     >     >     wrote:
>     >     >
>     >     >         Andy, Luca,
>     >     >
>     <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>
>     <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>
>     >     >         Cc: Matthew Bocci
>     <mailto:[email-masked]>>>>, "Patrice Brissette
>     <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>,
>     <mailto:[email-masked] <mailto:[email-masked]>>
>     >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>" <[email-masked]
>     <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>
>     >     >         <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>>
>     >     >         <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
>     >     >
>     >     >             Matthew,
>     >     >
>     >     >             > something strange about calling out those
>     sections
>     >     specifically. You are
>     >     >             > Are there any other cases where we really
>     need an
>     >     implementation to do
>     <mailto:[email-masked]>> <mailto:[email-masked]
>     <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>> on behalf of
>     >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
>     >     >             >
>     >     >             >> Hi,
>     >     >             >>
>     >     >             >>
>     <mailto:[email-masked]>>
>     >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>
>     >     >             >> by others is strictly prohibited. If you
>     are not
>     >     the intended recipient
>     <mailto:[email-masked]>> <mailto:[email-masked]
>     <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>> on behalf of
>     >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>> wrote:
>     >     >             >>
>     >     >             >>>> implemented." I don't know if it's
>     necessary to
>     >     call special attention
>     >     >             >>>> to those
>     >     <mailto:[email-masked] <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>>>
>     <mailto:[email-masked]>
>     <mailto:[email-masked] <mailto:[email-masked]>
>     >     <mailto:[email-masked] <mailto:[email-masked]>>>>>
>     wrote:
>     >     >             >>>>
>     >     >             >>>>     Folks,
>     >     >             >>>>
>     >     >             >>>>     Some of you brought up the fact the
>     in the
>     >     current rfc4447bis
>     >     >             >>>> update
>     >     >             >>>>     document it is not clear that we
>     require a
>     >     full implementation of
>     >     >             >>>> the
>     >     >             >>>>     LDP MUST exchange PW FEC label
>     bindings in
>     >     downstream unsolicited
>     >     >             >>>>     manner, independent of the negotiated
>     label
>     >     advertisement mode of
>     >     >             >>>> the
>     >     >             >>>>     LDP session according to the
>     specifications
>     >     in specified in
>     >     >             >>>> [RFC7358].
>     >     >             >>>>     LDP's "liberal label retention" mode
>     SHOULD
>     >     be used.
>     >     >             >>>>
>     >     >             >>>>     NEW:
>     >     >             >>>>
>     >     >             >>>>     LDP MUST exchange PW FEC label
>     bindings in
>     >     downstream unsolicited
>     >     >             >>>>     manner, independent of the negotiated
>     label
>     >     advertisement mode of
>     >     >             >>>> the
>     >     >             >>>>     LDP session according to the
>     specifications
>     >     in specified in
>     >     >             >>>> [RFC7358].
>     >     >             >>>>     LDP's "liberal label retention" mode
>     SHOULD
>     >     be used. However all
>     >     >             >>>> the LDP
>     <mailto:[email-masked] <mailto:[email-masked]>>>>

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: "Andrew G. Malis" <[email-masked]>
Date: Thu, 6 Aug 2015 07:35:29 -0400

Stewart,

That looks good to me, thanks.

Cheers,
Andy

On Thu, Aug 6, 2015 at 6:54 AM, Stewart Bryant <[email-masked]> wrote:

>> > On Tue, Aug 4, 2015 at 5:25 PM, Luca Martini < <[email-masked]>
>> [email-masked]
>> >     >     From: "Andrew G. Malis" < <[email-masked]>
>> [email-masked]
>> >     >     To: Matthew Bocci < <[email-masked]>
>> [email-masked]
>> >     >     <mailto: <[email-masked]>
>> [email-masked]
>> >     >     Cc: Luca Martini < <[email-masked]>[email-masked]
>> >     >     Brissette (pbrisset)" < <[email-masked]>
>> [email-masked]
>> >     >     "[email-masked] <mailto: <[email-masked]>[email-masked]>
>> <mailto:[email-masked]
>> >     <mailto:[email-masked] <mailto: <[email-masked]>[email-masked]>>>
>> >     >
>> >     >         From: "Andrew G. Malis" < <[email-masked]>
>> [email-masked]
>> >     >         To: Luca Martini < <[email-masked]>[email-masked]
>> >     >         Cc: Matthew Bocci < <[email-masked]>
>> [email-masked]
>> >     >         <mailto: <[email-masked]>
>> [email-masked]
>> >     >         (pbrisset)" < <[email-masked]>[email-masked]
>> >     <mailto:[email-masked] <mailto: <[email-masked]>[email-masked]>>" <
>> [email-masked]
>> >     <mailto:[email-masked]>
>> >     >         <mailto:[email-masked] <mailto: <[email-masked]>
>> [email-masked]>>>
>> >     >         <mailto: <[email-masked]>[email-masked] <mailto:
>> [email-masked]>>> wrote:
>> >     >
>> >     >             Matthew,
>> >     >
>> >     >             > < <[email-masked]>[email-masked]
>> >     <mailto: <[email-masked]>[email-masked] <mailto:
>> [email-masked]>>> wrote:
>> >     >             >
>> >     >             >> Hi,
>> >     >             >>
>> >     >             >>
>> >     >             >> <[email-masked]>[email-masked] <mailto:
>> [email-masked]>
>> >     >             >> Phone:+1 613 254 3336 <%2B1%20613%20254%203336>
>> >     <tel:%2B1%20613%20254%203336> <%2B1%20613%20254%203336>
>> <tel:%2B1%20613%20254%203336> <%2B1%20613%20254%203336>
>> >     >             >>
>> >     >             >> Cisco.com < <http://www.cisco.com/global/CA/>
>> http://www.cisco.com/global/CA/>
>> >     >             >>
>> >     <http://www.cisco.com/web/about/doing_business/legal/cri/index.html
>> >
>> >     for
>> >     >             >> < <[email-masked]>[email-masked]
>> >     <mailto: <[email-masked]>[email-masked] <mailto:
>> [email-masked]>>> wrote:
>> >     >             >>
>> >     >             >>>> <mailto: <[email-masked]>[email-masked]
>> >     >             >>>> <[email-masked]>[email-masked] <mailto:
>> [email-masked]>
>> >     >             <mailto: <[email-masked]>[email-masked] <mailto:
>> [email-masked]>>>
>> >     >             >>>> <https://www.ietf.org/mailman/listinfo/pals>
>> >     >             >>> <[email-masked]>[email-masked] <mailto:
>> [email-masked]>
>> >     >             >>> <https://www.ietf.org/mailman/listinfo/pals>
>> >     >             >> <[email-masked]>[email-masked] <mailto:[email-masked]
>> >
>> >     >             >> <https://www.ietf.org/mailman/listinfo/pals>

---

From: "Patrice Brissette (pbrisset)" <[email-masked]>
Date: Thu, 6 Aug 2015 18:31:51 +0000

Hi,

Very accurate. I like it too

Regards,

Patrice

   [http://www.cisco.com/web/europe/images/email/signature/est2014/logo_06.png?ct=1406640631632]

Patrice Brissette

Cisco Systems Canada Co. / Les Systemes Cisco Canada CIE
Canada
Cisco.com<http://www.cisco.com/global/CA/>

[http://www.cisco.com/assets/swa/img/thinkbeforeyouprint.gif] Think before you print.

This email may contain confidential and privileged material for the sole use of the intended recipient. Any review, use, distribution or disclosure by others is strictly prohibited. If you are not the intended recipient (or authorized to receive for the recipient), please contact the sender by reply email and delete all copies of this message.

Please click here<http://www.cisco.com/web/about/doing_business/legal/cri/index.html> for Company Registration Information.

From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>>
Date: Thursday, August 6, 2015 at 7:35 AM
To: "Stewart Bryant (stbryant)" <[email-masked]<mailto:[email-masked]>>
Cc: "Luca Martini (lmartini)" <[email-masked]<mailto:[email-masked]>>, "Bocci, Matthew (Matthew)" <[email-masked]<mailto:[email-masked]>>, "Giles Heron (giheron)" <[email-masked]<mailto:[email-masked]>>, Patrice Brissette <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Eric C Rosen <[email-masked]<mailto:[email-masked]>>
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

Stewart,

Cheers,
Andy

On Thu, Aug 6, 2015 at 6:54 AM, Stewart Bryant <[email-masked]<mailto:[email-masked]>> wrote:
I would express that slightly differently :

- Stewart

Thanks,
Andy

On Wed, Aug 5, 2015 at 11:25 AM, Luca Martini <[email-masked]<mailto:[email-masked]>> wrote:
Andy,

Luca

On 08/04/15 16:23, Andrew G. Malis wrote:
> On Tue, Aug 4, 2015 at 5:25 PM, Luca Martini <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     > <[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >
>     >     Hi Andy
>     >
>     >     From: "Andrew G. Malis" <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >     To: Matthew Bocci <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>
>     >     <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >     Cc: Luca Martini <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>, "Patrice
>     >     Brissette (pbrisset)" <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>,
>     >     "[email-masked]<mailto:[email-masked]> <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>" <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>>>>
>     >
>     >     <[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >     wrote:
>     >
>     >         Andy, Luca,
>     >
>     >         From: "Andrew G. Malis" <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >         To: Luca Martini <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >         Cc: Matthew Bocci <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>
>     >         <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>, "Patrice Brissette
>     >         (pbrisset)" <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>,
>     >         "[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>>>" <[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>
>     >         <mailto:[email-masked]<mailto:[email-masked]> <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>>>>
>     <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     >         <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >
>     >             Matthew,
>     >
>     >             > <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>> on behalf of
>     >             [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >             >
>     >             >> Hi,
>     >             >>
>     >             >>
>     >             >><mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
>     >             >> Phone:+1 613 254 3336<tel:%2B1%20613%20254%203336>
>     <tel:%2B1%20613%20254%203336><tel:%2B1%20613%20254%203336><tel:%2B1%20613%20254%203336><tel:%2B1%20613%20254%203336>
>     >             >>
>     >             >> Cisco.com <<http://www.cisco.com/global/CA/>http://www.cisco.com/global/CA/>
>     >             >>
>     >             >> <<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>> on behalf of
>     >             [email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >             >>
>     <[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
>     >             >>>> <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]>>>>> wrote:
>     >             >>>>
>     >             >>>>     Folks,
>     >             >>>>
>     >             >>>><mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     >             <mailto:<mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >             >>>><https://www.ietf.org/mailman/listinfo/pals>https://www.ietf.org/mailman/listinfo/pals
>     >             >>>>
>     >             >>>>
>     >             >>><mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
>     >             >>><https://www.ietf.org/mailman/listinfo/pals>https://www.ietf.org/mailman/listinfo/pals
>     >             >><mailto:[email-masked]>[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>
>     >             >><https://www.ietf.org/mailman/listinfo/pals>https://www.ietf.org/mailman/listinfo/pals
>     >             >
>     >
>     >
>     >
>     >
>
>
>
>

---

From: "Shah, Himanshu" <[email-masked]>
Date: Thu, 6 Aug 2015 16:07:42 -0400

Yes looks good.
However, a small correction is required..

Thanks,
Himanshu

From: Pals [mailto:[email-masked]] On Behalf Of Patrice Brissette (pbrisset)
Sent: Thursday, August 06, 2015 2:32 PM
To: Andrew G. Malis; Stewart Bryant (stbryant)
Cc: Bocci, Matthew (Matthew); Giles Heron (giheron); Luca Martini (lmartini); Eric C Rosen; [email-masked]
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

Hi,

Regards,

Patrice

Patrice Brissette

Think before you print.

Stewart,

Cheers,
Andy

- Stewart

Thanks,
Andy

Luca

On 08/04/15 16:23, Andrew G. Malis wrote:
> On Tue, Aug 4, 2015 at 5:25 PM, Luca Martini <[email-masked]<mailto:[email-masked]>
>     >     From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>
>     >     To: Matthew Bocci <[email-masked]<mailto:[email-masked]>
>     >     Cc: Luca Martini <[email-masked]<mailto:[email-masked]>
>     >     Brissette (pbrisset)" <[email-masked]<mailto:[email-masked]>
>     >     "[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>> <mailto:[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >
>     >         From: "Andrew G. Malis" <[email-masked]<mailto:[email-masked]>
>     >         To: Luca Martini <[email-masked]<mailto:[email-masked]>
>     >         Cc: Matthew Bocci <[email-masked]<mailto:[email-masked]>
>     >         (pbrisset)" <[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>" <[email-masked]<mailto:[email-masked]>
>     >         <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>>
>     >         <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >
>     >             Matthew,
>     >
>     >             > <[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >             >
>     >             >> Hi,
>     >             >>
>     >             >>
>     >             >> <[email-masked]<mailto:[email-masked]>
>     <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>> wrote:
>     >             >>
>     >             >>>> <mailto:[email-masked]<mailto:[email-masked]>
>     >             <mailto:[email-masked]<mailto:[email-masked]> <mailto:[email-masked]<mailto:[email-masked]>>>>

--

---

From: Jiangyuanlong <[email-masked]>
Date: Tue, 11 Aug 2015 01:18:35 +0000

Another refinement to the 1st part:

“Note that this is a a stricter requirement than is specified in RFC5036, …”

Or,

“Note that this requirement is stricter than is specified in RFC5036, …”

Regards,
Yuanlong

From: Pals [mailto:[email-masked]] On Behalf Of Shah, Himanshu
Sent: Friday, August 07, 2015 4:08 AM
To: Patrice Brissette (pbrisset); Andrew G. Malis; Stewart Bryant (stbryant)
Cc: Bocci, Matthew (Matthew); Giles Heron (giheron); Luca Martini (lmartini); Eric C Rosen; [email-masked]
Subject: Re: [Pals] RFC4447bis LC and label request/response discussion in Prague

Yes looks good.

Thanks,
Himanshu

Cc: Bocci, Matthew (Matthew); Giles Heron (giheron); Luca Martini (lmartini); Eric C Rosen; [email-masked]<mailto:[email-masked]>

Hi,

Regards,

Patrice
   [Image removed by sender.]

Patrice Brissette

[Image removed by sender.]Think before you print.

Stewart,

Cheers,
Andy

- Stewart

Thanks,
Andy

Luca

--

---

From: Luca Martini <[email-masked]>
Date: Mon, 17 Aug 2015 10:24:46 -0600

WG,

Stewart and I edited the document , and the text below encompasses all
the comments and e-mails we received in the LC of the rfc4447bis draft.

"This document does not specify a method for distributing the MPLS tunnel
label or any other labels that may appear above the PW label on the stack.
Any acceptable method of MPLS label distribution will do. This document
specifies a protocol for assigning and distributing the PW label. This
protocol is LDP, extended as specified in the remainder of this document. An
LDP session must be set up between the pseudowire endpoints. LDP MUST
exchange PW FEC label bindings in downstream unsolicited mode, independent
of the negotiated label advertisement mode of the LDP session according to
the specifications in specified in [RFC7358]. LDP's "liberal label
retention" mode SHOULD be used. However all the LDP procedures that are
specified in [RFC5036], and that are also applicable to this protocol
specification MUST be implemented.

This document requires that a receiving LSR MUST respond to a Label Request
message with either a Label Mapping for the requested label or with a
Notification message that indicates why it cannot satisfy the request. These
procedures are specified in [RFC5036] section 3.5.7 "Label Mapping Message",
and 3.5.8 "Label Request Message". Note that sending these responses is a
stricter requirement than is specified in RFC5036, but these response
messages are REQUIRED to ensure correct operation of this protocol."

IF there are no more comments in the next few days I'll post the update.

Thanks.
Luca

---

From: Stewart Bryant <[email-masked]>
Date: Thu, 20 Aug 2015 14:36:52 +0100

I am declaring the WGLC for this draft over.

Luca, please update the draft and I will write up the shepherd's
report and send to the IESG.

- Stewart

On 17/08/2015 17:24, Luca Martini wrote:
> .